# AWS API client for AWS Signer

**Warning: This is a generated library, some operations may not work.**

*About the service:*
AWS Signer is a fully managed code signing service to help you ensure the
trust and integrity of your code.

AWS Signer supports the following applications:

With <i>code signing for AWS Lambda</i>, you can sign AWS Lambda deployment
packages. Integrated support is provided for Amazon S3, Amazon CloudWatch,
and AWS CloudTrail. In order to sign code, you create a signing profile and
then use Signer to sign Lambda zip files in S3.

With <i>code signing for IoT</i>, you can sign code for any IoT device that
is supported by AWS. IoT code signing is available for <a
href="https://docs.aws.amazon.com/freertos/latest/userguide/">Amazon
FreeRTOS</a> and <a
href="https://docs.aws.amazon.com/iot/latest/developerguide/">AWS IoT Device
Management</a>, and is integrated with <a
href="https://docs.aws.amazon.com/acm/latest/userguide/">AWS Certificate
Manager (ACM)</a>. In order to sign code, you import a third-party code
signing certificate using ACM, and use that to sign updates in Amazon
FreeRTOS and AWS IoT Device Management.

For more information about AWS Signer, see the <a
href="https://docs.aws.amazon.com/signer/latest/developerguide/Welcome.html">AWS
Signer Developer Guide</a>.
<p/>

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

